package com.yihaomen.hibernate4.test;

import java.util.Date;

import org.hibernate.Session;

import com.yihaomen.hibernate.domain.Stock;
import com.yihaomen.hibernate.domain.StockDetail;
import com.yihaomen.hibernate.util.HibernateUtil;

public class AppTest
{   
	 public static void main( String[] args )
	    {
		 System.out.println("Hibernate one to one (XML mapping) test");
			Session session = HibernateUtil.getSessionFactory().openSession();	 
			session.beginTransaction();	 
			Stock stock = new Stock();	 
			stock.setStockCode("471511");
			stock.setStockName("GENM");	 
			StockDetail stockDetail = new StockDetail();
			stockDetail.setCompName("GENTING Malaysia");
			stockDetail.setCompDesc("Best resort in the world");
			stockDetail.setRemark("Nothing Special");
			stockDetail.setListedDate(new Date());	 
			stock.setStockDetail(stockDetail);
			stockDetail.setStock(stock);	 
			session.save(stock);
			session.getTransaction().commit();	 
			System.out.println("Done");
	    }
 
}
